package com.yidianling.ydlcommon.custom.notification

/**
 * Created by Jim on 2018/3/9 0009.
 */

object PlayerState : PlayerStateObserver() {

    private var coursePlayerState: Int = 0
    private var fmPlayerState: Int = 0


    override fun updateFMPayerState() {

    }

    override fun updateCoursePayerState(state: Int?) {
        if (state!=null){
            coursePlayerState =state
        }else{
            coursePlayerState ==-1
        }
    }

    fun isCoursePlaying():Boolean{
        return coursePlayerState == CURRENT_STATE_PLAYING
    }

    fun isFmPlaying():Boolean{
        return fmPlayerState == IS_FM_PLAYING
    }

}
